﻿using System;
using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.GamerServices;

namespace WP7MessageBox
{
    public partial class MainPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void SimpleMsgButtonClick(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Ceci est une simple Messagebox");
        }

        private void TwoButtonsMsgClick(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Vous voulez continuer ?", "Quitter l'application", MessageBoxButton.OKCancel);
        }

        private void PersoButtonClick(object sender, RoutedEventArgs e)
        {
            Guide.BeginShowMessageBox("Licence d'utilisation",
                        "Vous devez accepter le contrat d'utilisation du logiciel (disponible sur maneu.net) avant de pouvoir utiliser ce logiciel. L'acceptez-vous ?",
                        new string[] { "Accepter", "Refuser" }, 0,
                        MessageBoxIcon.Alert, MessageBoxAcceptLicense,
                        null);
        }

        private void MessageBoxAcceptLicense(IAsyncResult ar)
        {
            int? indexButton = Guide.EndShowMessageBox(ar);
            if (indexButton.HasValue && indexButton.Value == 1)
            {
                Dispatcher.BeginInvoke(() => new Game().Exit());
            }
        }
    }
}